## NAME

r.info - Outputs basic information about a user-specified raster map layer.

## KEYWORDS

raster

## SYNOPSIS

r.info
r.info help
r.info [-rstghp] map=name

### Flags:

-r
  Print range only
-s
  Print raster map resolution (NS-res, EW-res) only
-t
  Print raster map type only
-g
  Print raster map region only
-h
  Print raster history instead of info
-p
  Print raster map timestamp (day.month.year hour:minute:seconds) only

### Parameters:

map=name
  Name of input raster map

## DESCRIPTION

r.info reports some basic information about a user-specified raster map layer. This map layer must exist in the user's current mapset search path. Information about the map's boundaries, resolution, projection, data type, category number, data base location and mapset, the timestamp and history are put into a table and written to standard output. The types of information listed can also be found in the cats, cellhd, and hist directories under the mapset in which the named map is stored.

The user can save the tabular output to a file by using the UNIX redirection mechanism (>); for example, the user might save a report on the soils map layer in a file called soil.rpt by typing:

  r.info map=soils > soil.rpt

Below is the report produced by r.info for the raster map slope in the Spearfish sample data base.

     +----------------------------------------------------------------------------+
     | Layer:    slope                          Date: Mon Nov  5 10:55:57 2001    |
     | Mapset:   PERMANENT                      Login of Creator: neteler         |
     | Location: spearfish60                                                      |
     | DataBase: /home/neteler/grassdaten                                         |
     | Title:    slope in degrees ( slope )                                       |
     | Timestamp: 20 Mar 1984 10:30 -0600 / 21 Mar 2020 10:30 -0600               |
     |----------------------------------------------------------------------------|
     |                                                                            |
     |   Type of Map:  raster               Number of Categories: 255             |
     |   Data Type:    FCELL                                                      |
     |   Rows:         477                                                        |
     |   Columns:      634                                                        |
     |   Total Cells:  302418                                                     |
     |        Projection: UTM (zone 13)                                           |
     |            N:    4928010    S:    4913700   Res:    30                     |
     |            E:     609000    W:     589980   Res:    30                     |
     |   Range of data:    min =  0.000000 max = 52.520164                        |
     |                                                                            |
     |   Data Source:                                                             |
     |    raster elevation file elevation.dem                                     |
     |                                                                            |
     |                                                                            |
     |   Data Description:                                                        |
     |    generated by r.slope.aspect                                             |
     |                                                                            |
     |   Comments:                                                                |
     |    slope map elev = elevation.dem                                          |
     |    zfactor = 1.00 format = degrees                                         |
     |    min_slp_allowed = 0.000000                                              |
     |                                                                            |
     +----------------------------------------------------------------------------+

## SEE ALSO

g.mapsets, r.coin, r.describe, r.report, r.stats, r.support, r.what

## AUTHOR

Michael O'Shea, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/04/08 10:30:17 $

Main index - raster index - Full index